Page MenuHomeFreeBSD

[NEW PORTS] x11-toolkits/qt5-quick3d and x11-toolkits/qt5-quicktimeline
ClosedPublic

Authored by lbartoletti on Jul 22 2020, 12:54 PM.

Details

Summary

Add QtQuick3D and QtQuick Timeline.

QtQuick3D
Description from Qt [1]:
Qt Quick 3D provides a high-level API for creating 3D content or UIs based on Qt Quick. Rather than using an external engine which creates syncing issues, and additional layers of abstraction, we provide extensions to the existing Qt Quick scenegraph for spatial content, and a renderer for that extended scenegraph. When using the Spatial scenegraph it is also be possible to mix Qt Quick 2D content with 3D content.

QtQuick Timeline
Description from Qt [2]:

The Qt Quick Timeline module enables keyframe-based animations and parameterization. This module is directly supported by Qt Design Studio and Qt Quick Designer, with a timeline editor to create keyframe-based animations.

[1] https://doc.qt.io/qt-5/qtquick3d-index.html
[2] https://doc.qt.io/qt-5/qtquicktimeline-index.html

Test Plan

poudriere (12/13 i386/amd64)
QtQuick 3D: tested with Qt samples
QtQuickTimeline: tested with https://github.com/sholcomb-code/qmlTimeline.git

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lbartoletti created this revision.Jul 22 2020, 12:54 PM
lbartoletti requested review of this revision.Jul 22 2020, 12:54 PM

Add QtQuick Timeline

The Qt Quick Timeline module enables keyframe-based animations and parameterization. This module is directly supported by Qt Design Studio and Qt Quick Designer, with a timeline editor to create keyframe-based animations.

poudriere (12/13 i386/amd64) OK
Tested with this code https://github.com/sholcomb-code/qmlTimeline.git

lbartoletti retitled this revision from [NEW PORT] x11-toolkits/qt5-quick3d to [NEW PORTS] x11-toolkits/qt5-quick3d and x11-toolkits/qt5-quicktimeline.Jul 22 2020, 2:40 PM
lbartoletti edited the summary of this revision. (Show Details)
lbartoletti edited the test plan for this revision. (Show Details)
lbartoletti added a subscriber: kde.
tcberner accepted this revision.Jul 30 2020, 5:05 PM
tcberner removed a subscriber: mat.

Cool -- thanks for adding those ports.

I think you might be missing the .debug files in the plist though.
But that can be fixed after committing it easily too :)

swills accepted this revision.Aug 17 2020, 1:40 AM

Looks OK here

This revision is now accepted and ready to land.Aug 17 2020, 1:40 AM